{{- if .Values.settings_file }}
apiVersion: v1
kind: ConfigMap
data:
  settings.php: |-
{{ .Values.settings_file | b64dec | indent 4 }}
metadata:
  labels:
    app: {{ template "drupal-8.namespaceAndProject" . }}
  name: drupal-settings-{{ template "drupal-8.namespaceAndProject" . }}
  namespace: {{ .Values.okd_namespace }} 
  selfLink: /api/v1/namespaces/{{ .Values.okd_namespace }}/configmaps/drupal-settings-{{ template "drupal-8.namespaceAndProject" . }}
{{- end }}
